1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18# $Id: Makefile.am,v 1.1 2004/12/20 08:31:45 assar Exp $
19
20# $Id$
21
22# $Id$
23
24
25
26VPATH = @srcdir@
27pkgdatadir = $(datadir)/@PACKAGE@
28pkgincludedir = $(includedir)/@PACKAGE@
29pkglibdir = $(libdir)/@PACKAGE@
30pkglibexecdir = $(libexecdir)/@PACKAGE@
31am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32install_sh_DATA = $(install_sh) -c -m 644
33install_sh_PROGRAM = $(install_sh) -c
34install_sh_SCRIPT = $(install_sh) -c
35INSTALL_HEADER = $(INSTALL_DATA)
36transform = $(program_transform_name)
37NORMAL_INSTALL = :
38PRE_INSTALL = :
39POST_INSTALL = :
40NORMAL_UNINSTALL = :
41PRE_UNINSTALL = :
42POST_UNINSTALL = :
43build_triplet = @build@
44host_triplet = @host@
45DIST_COMMON = $(dist_include_HEADERS) $(srcdir)/Makefile.am \
46	$(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
47	$(top_srcdir)/cf/Makefile.am.common ChangeLog
48@versionscript_TRUE@am__append_1 = $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-script.map
49check_PROGRAMS = test-bidi$(EXEEXT) test-map$(EXEEXT) test-rw$(EXEEXT) \
50	test-normalize$(EXEEXT) test-prohibited$(EXEEXT) \
51	test-punycode$(EXEEXT) test-ldap$(EXEEXT) test-utf8$(EXEEXT)
52bin_PROGRAMS = idn-lookup$(EXEEXT)
53subdir = lib/wind
54ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
55am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
56	$(top_srcdir)/cf/auth-modules.m4 \
57	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
58	$(top_srcdir)/cf/broken-glob.m4 \
59	$(top_srcdir)/cf/broken-realloc.m4 \
60	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
61	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
62	$(top_srcdir)/cf/capabilities.m4 \
63	$(top_srcdir)/cf/check-compile-et.m4 \
64	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
65	$(top_srcdir)/cf/check-man.m4 \
66	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
67	$(top_srcdir)/cf/check-type-extra.m4 \
68	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
69	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
70	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
71	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
72	$(top_srcdir)/cf/find-func-no-libs.m4 \
73	$(top_srcdir)/cf/find-func-no-libs2.m4 \
74	$(top_srcdir)/cf/find-func.m4 \
75	$(top_srcdir)/cf/find-if-not-broken.m4 \
76	$(top_srcdir)/cf/framework-security.m4 \
77	$(top_srcdir)/cf/have-struct-field.m4 \
78	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
79	$(top_srcdir)/cf/krb-bigendian.m4 \
80	$(top_srcdir)/cf/krb-func-getlogin.m4 \
81	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
82	$(top_srcdir)/cf/krb-readline.m4 \
83	$(top_srcdir)/cf/krb-struct-spwd.m4 \
84	$(top_srcdir)/cf/krb-struct-winsize.m4 \
85	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
86	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
87	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
88	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
89	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
90	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
91	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
92	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
93	$(top_srcdir)/cf/roken-frag.m4 \
94	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
95	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
96	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
97	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
98	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
99am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
100	$(ACLOCAL_M4)
101mkinstalldirs = $(install_sh) -d
102CONFIG_HEADER = $(top_builddir)/include/config.h
103CONFIG_CLEAN_FILES =
104CONFIG_CLEAN_VPATH_FILES =
105am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
106am__vpath_adj = case $$p in \
107    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
108    *) f=$$p;; \
109  esac;
110am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
111am__install_max = 40
112am__nobase_strip_setup = \
113  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
114am__nobase_strip = \
115  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
116am__nobase_list = $(am__nobase_strip_setup); \
117  for p in $$list; do echo "$$p $$p"; done | \
118  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
119  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
120    if (++n[$$2] == $(am__install_max)) \
121      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
122    END { for (dir in files) print dir, files[dir] }'
123am__base_list = \
124  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
125  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
126am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
127	"$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"
128LTLIBRARIES = $(lib_LTLIBRARIES)
129am__DEPENDENCIES_1 =
130am__objects_1 = bidi.lo combining.lo doxygen.lo errorlist.lo map.lo \
131	ldap.lo normalize.lo punycode.lo stringprep.lo utf8.lo
132am__objects_2 = bidi_table.lo combining_table.lo errorlist_table.lo \
133	map_table.lo normalize_table.lo
134dist_libwind_la_OBJECTS = $(am__objects_1) $(am__objects_2)
135nodist_libwind_la_OBJECTS = wind_err.lo
136libwind_la_OBJECTS = $(dist_libwind_la_OBJECTS) \
137	$(nodist_libwind_la_OBJECTS)
138libwind_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
139	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
140	$(libwind_la_LDFLAGS) $(LDFLAGS) -o $@
141PROGRAMS = $(bin_PROGRAMS)
142am_idn_lookup_OBJECTS = idn-lookup.$(OBJEXT)
143idn_lookup_OBJECTS = $(am_idn_lookup_OBJECTS)
144idn_lookup_LDADD = $(LDADD)
145idn_lookup_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
146test_bidi_SOURCES = test-bidi.c
147test_bidi_OBJECTS = test-bidi.$(OBJEXT)
148test_bidi_LDADD = $(LDADD)
149test_bidi_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
150test_ldap_SOURCES = test-ldap.c
151test_ldap_OBJECTS = test-ldap.$(OBJEXT)
152test_ldap_LDADD = $(LDADD)
153test_ldap_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
154test_map_SOURCES = test-map.c
155test_map_OBJECTS = test-map.$(OBJEXT)
156test_map_LDADD = $(LDADD)
157test_map_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
158test_normalize_SOURCES = test-normalize.c
159test_normalize_OBJECTS = test-normalize.$(OBJEXT)
160test_normalize_LDADD = $(LDADD)
161test_normalize_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
162test_prohibited_SOURCES = test-prohibited.c
163test_prohibited_OBJECTS = test-prohibited.$(OBJEXT)
164test_prohibited_LDADD = $(LDADD)
165test_prohibited_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
166am_test_punycode_OBJECTS = test-punycode.$(OBJEXT) \
167	punycode_examples.$(OBJEXT)
168test_punycode_OBJECTS = $(am_test_punycode_OBJECTS)
169test_punycode_LDADD = $(LDADD)
170test_punycode_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
171test_rw_SOURCES = test-rw.c
172test_rw_OBJECTS = test-rw.$(OBJEXT)
173test_rw_LDADD = $(LDADD)
174test_rw_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
175test_utf8_SOURCES = test-utf8.c
176test_utf8_OBJECTS = test-utf8.$(OBJEXT)
177test_utf8_LDADD = $(LDADD)
178test_utf8_DEPENDENCIES = libwind.la $(am__DEPENDENCIES_1)
179depcomp = $(SHELL) $(top_srcdir)/depcomp
180am__depfiles_maybe = depfiles
181am__mv = mv -f
182COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
183	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
184LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
185	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
186	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
187CCLD = $(CC)
188LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
189	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
190	$(LDFLAGS) -o $@
191SOURCES = $(dist_libwind_la_SOURCES) $(nodist_libwind_la_SOURCES) \
192	$(idn_lookup_SOURCES) test-bidi.c test-ldap.c test-map.c \
193	test-normalize.c test-prohibited.c $(test_punycode_SOURCES) \
194	test-rw.c test-utf8.c
195DIST_SOURCES = $(dist_libwind_la_SOURCES) $(idn_lookup_SOURCES) \
196	test-bidi.c test-ldap.c test-map.c test-normalize.c \
197	test-prohibited.c $(test_punycode_SOURCES) test-rw.c \
198	test-utf8.c
199HEADERS = $(dist_include_HEADERS) $(nodist_include_HEADERS)
200ETAGS = etags
201CTAGS = ctags
202am__tty_colors = \
203red=; grn=; lgn=; blu=; std=
204DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
205ACLOCAL = @ACLOCAL@
206AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
207AMTAR = @AMTAR@
208AR = @AR@
209ASN1_COMPILE = @ASN1_COMPILE@
210ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
211AUTOCONF = @AUTOCONF@
212AUTOHEADER = @AUTOHEADER@
213AUTOMAKE = @AUTOMAKE@
214AWK = @AWK@
215CANONICAL_HOST = @CANONICAL_HOST@
216CAPNG_CFLAGS = @CAPNG_CFLAGS@
217CAPNG_LIBS = @CAPNG_LIBS@
218CATMAN = @CATMAN@
219CATMANEXT = @CATMANEXT@
220CC = @CC@
221CCDEPMODE = @CCDEPMODE@
222CFLAGS = @CFLAGS@
223COMPILE_ET = @COMPILE_ET@
224CPP = @CPP@
225CPPFLAGS = @CPPFLAGS@
226CYGPATH_W = @CYGPATH_W@
227DBHEADER = @DBHEADER@
228DBLIB = @DBLIB@
229DEFS = @DEFS@
230DEPDIR = @DEPDIR@
231DIR_com_err = @DIR_com_err@
232DIR_hcrypto = @DIR_hcrypto@
233DIR_hdbdir = @DIR_hdbdir@
234DIR_roken = @DIR_roken@
235DLLTOOL = @DLLTOOL@
236DSYMUTIL = @DSYMUTIL@
237DUMPBIN = @DUMPBIN@
238ECHO_C = @ECHO_C@
239ECHO_N = @ECHO_N@
240ECHO_T = @ECHO_T@
241EGREP = @EGREP@
242EXEEXT = @EXEEXT@
243FGREP = @FGREP@
244GREP = @GREP@
245GROFF = @GROFF@
246INCLUDES_roken = @INCLUDES_roken@
247INCLUDE_hcrypto = @INCLUDE_hcrypto@
248INCLUDE_hesiod = @INCLUDE_hesiod@
249INCLUDE_krb4 = @INCLUDE_krb4@
250INCLUDE_libedit = @INCLUDE_libedit@
251INCLUDE_libintl = @INCLUDE_libintl@
252INCLUDE_openldap = @INCLUDE_openldap@
253INCLUDE_readline = @INCLUDE_readline@
254INCLUDE_sqlite3 = @INCLUDE_sqlite3@
255INSTALL = @INSTALL@
256INSTALL_DATA = @INSTALL_DATA@
257INSTALL_PROGRAM = @INSTALL_PROGRAM@
258INSTALL_SCRIPT = @INSTALL_SCRIPT@
259INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
260LD = @LD@
261LDFLAGS = @LDFLAGS@
262LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
263LEX = @LEX@
264LEXLIB = @LEXLIB@
265LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
266LIBADD_roken = @LIBADD_roken@
267LIBOBJS = @LIBOBJS@
268LIBS = @LIBS@
269LIBTOOL = @LIBTOOL@
270LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
271LIB_NDBM = @LIB_NDBM@
272LIB_XauFileName = @LIB_XauFileName@
273LIB_XauReadAuth = @LIB_XauReadAuth@
274LIB_XauWriteAuth = @LIB_XauWriteAuth@
275LIB_bswap16 = @LIB_bswap16@
276LIB_bswap32 = @LIB_bswap32@
277LIB_com_err = @LIB_com_err@
278LIB_com_err_a = @LIB_com_err_a@
279LIB_com_err_so = @LIB_com_err_so@
280LIB_crypt = @LIB_crypt@
281LIB_db_create = @LIB_db_create@
282LIB_dbm_firstkey = @LIB_dbm_firstkey@
283LIB_dbopen = @LIB_dbopen@
284LIB_dispatch_async_f = @LIB_dispatch_async_f@
285LIB_dlopen = @LIB_dlopen@
286LIB_dn_expand = @LIB_dn_expand@
287LIB_dns_search = @LIB_dns_search@
288LIB_door_create = @LIB_door_create@
289LIB_freeaddrinfo = @LIB_freeaddrinfo@
290LIB_gai_strerror = @LIB_gai_strerror@
291LIB_getaddrinfo = @LIB_getaddrinfo@
292LIB_gethostbyname = @LIB_gethostbyname@
293LIB_gethostbyname2 = @LIB_gethostbyname2@
294LIB_getnameinfo = @LIB_getnameinfo@
295LIB_getpwnam_r = @LIB_getpwnam_r@
296LIB_getsockopt = @LIB_getsockopt@
297LIB_hcrypto = @LIB_hcrypto@
298LIB_hcrypto_a = @LIB_hcrypto_a@
299LIB_hcrypto_appl = @LIB_hcrypto_appl@
300LIB_hcrypto_so = @LIB_hcrypto_so@
301LIB_hesiod = @LIB_hesiod@
302LIB_hstrerror = @LIB_hstrerror@
303LIB_kdb = @LIB_kdb@
304LIB_krb4 = @LIB_krb4@
305LIB_libedit = @LIB_libedit@
306LIB_libintl = @LIB_libintl@
307LIB_loadquery = @LIB_loadquery@
308LIB_logout = @LIB_logout@
309LIB_logwtmp = @LIB_logwtmp@
310LIB_openldap = @LIB_openldap@
311LIB_openpty = @LIB_openpty@
312LIB_otp = @LIB_otp@
313LIB_pidfile = @LIB_pidfile@
314LIB_readline = @LIB_readline@
315LIB_res_ndestroy = @LIB_res_ndestroy@
316LIB_res_nsearch = @LIB_res_nsearch@
317LIB_res_search = @LIB_res_search@
318LIB_roken = @LIB_roken@
319LIB_security = @LIB_security@
320LIB_setsockopt = @LIB_setsockopt@
321LIB_socket = @LIB_socket@
322LIB_sqlite3 = @LIB_sqlite3@
323LIB_syslog = @LIB_syslog@
324LIB_tgetent = @LIB_tgetent@
325LIPO = @LIPO@
326LN_S = @LN_S@
327LTLIBOBJS = @LTLIBOBJS@
328MAINT = @MAINT@
329MAKEINFO = @MAKEINFO@
330MANIFEST_TOOL = @MANIFEST_TOOL@
331MKDIR_P = @MKDIR_P@
332NM = @NM@
333NMEDIT = @NMEDIT@
334NO_AFS = @NO_AFS@
335NROFF = @NROFF@
336OBJDUMP = @OBJDUMP@
337OBJEXT = @OBJEXT@
338OTOOL = @OTOOL@
339OTOOL64 = @OTOOL64@
340PACKAGE = @PACKAGE@
341PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
342PACKAGE_NAME = @PACKAGE_NAME@
343PACKAGE_STRING = @PACKAGE_STRING@
344PACKAGE_TARNAME = @PACKAGE_TARNAME@
345PACKAGE_URL = @PACKAGE_URL@
346PACKAGE_VERSION = @PACKAGE_VERSION@
347PATH_SEPARATOR = @PATH_SEPARATOR@
348PKG_CONFIG = @PKG_CONFIG@
349PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
350PTHREAD_LDADD = @PTHREAD_LDADD@
351PTHREAD_LIBADD = @PTHREAD_LIBADD@
352RANLIB = @RANLIB@
353SED = @SED@
354SET_MAKE = @SET_MAKE@
355SHELL = @SHELL@
356SLC = @SLC@
357SLC_DEP = @SLC_DEP@
358STRIP = @STRIP@
359VERSION = @VERSION@
360VERSIONING = @VERSIONING@
361WFLAGS = @WFLAGS@
362WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
363WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
364XMKMF = @XMKMF@
365X_CFLAGS = @X_CFLAGS@
366X_EXTRA_LIBS = @X_EXTRA_LIBS@
367X_LIBS = @X_LIBS@
368X_PRE_LIBS = @X_PRE_LIBS@
369YACC = @YACC@
370YFLAGS = @YFLAGS@
371abs_builddir = @abs_builddir@
372abs_srcdir = @abs_srcdir@
373abs_top_builddir = @abs_top_builddir@
374abs_top_srcdir = @abs_top_srcdir@
375ac_ct_AR = @ac_ct_AR@
376ac_ct_CC = @ac_ct_CC@
377ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
378am__include = @am__include@
379am__leading_dot = @am__leading_dot@
380am__quote = @am__quote@
381am__tar = @am__tar@
382am__untar = @am__untar@
383bindir = @bindir@
384build = @build@
385build_alias = @build_alias@
386build_cpu = @build_cpu@
387build_os = @build_os@
388build_vendor = @build_vendor@
389builddir = @builddir@
390datadir = @datadir@
391datarootdir = @datarootdir@
392docdir = @docdir@
393dpagaix_cflags = @dpagaix_cflags@
394dpagaix_ldadd = @dpagaix_ldadd@
395dpagaix_ldflags = @dpagaix_ldflags@
396dvidir = @dvidir@
397exec_prefix = @exec_prefix@
398host = @host@
399host_alias = @host_alias@
400host_cpu = @host_cpu@
401host_os = @host_os@
402host_vendor = @host_vendor@
403htmldir = @htmldir@
404includedir = @includedir@
405infodir = @infodir@
406install_sh = @install_sh@
407libdir = @libdir@
408libexecdir = @libexecdir@
409localedir = @localedir@
410localstatedir = @localstatedir@
411mandir = @mandir@
412mkdir_p = @mkdir_p@
413oldincludedir = @oldincludedir@
414pdfdir = @pdfdir@
415prefix = @prefix@
416program_transform_name = @program_transform_name@
417psdir = @psdir@
418sbindir = @sbindir@
419sharedstatedir = @sharedstatedir@
420srcdir = @srcdir@
421subdirs = @subdirs@
422sysconfdir = @sysconfdir@
423target_alias = @target_alias@
424top_build_prefix = @top_build_prefix@
425top_builddir = @top_builddir@
426top_srcdir = @top_srcdir@
427SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
428DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
429AM_CPPFLAGS = $(INCLUDES_roken)
430@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
431AM_CFLAGS = $(WFLAGS)
432CP = cp
433buildinclude = $(top_builddir)/include
434LIB_el_init = @LIB_el_init@
435LIB_getattr = @LIB_getattr@
436LIB_getpwent_r = @LIB_getpwent_r@
437LIB_odm_initialize = @LIB_odm_initialize@
438LIB_setpcred = @LIB_setpcred@
439HESIODLIB = @HESIODLIB@
440HESIODINCLUDE = @HESIODINCLUDE@
441libexec_heimdaldir = $(libexecdir)/heimdal
442NROFF_MAN = groff -mandoc -Tascii
443LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
444@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
445@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
446
447@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
448LIB_heimbase = $(top_builddir)/base/libheimbase.la
449@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
450lib_LTLIBRARIES = libwind.la
451built = \
452	bidi_table.c				\
453	bidi_table.h				\
454	combining_table.c			\
455	combining_table.h			\
456	errorlist_table.c			\
457	errorlist_table.h			\
458	map_table.c				\
459	map_table.h				\
460	normalize_table.c			\
461	normalize_table.h
462
463built_tests = \
464	punycode_examples.h			\
465	punycode_examples.c
466
467MAINTAINERCLEANFILES = $(built) $(built_tests)
468code = \
469	bidi.c					\
470	combining.c				\
471	doxygen.c				\
472	errorlist.c				\
473	map.c					\
474	ldap.c					\
475	normalize.c				\
476	punycode.c				\
477	stringprep.c				\
478	wind.h					\
479	windlocl.h				\
480	utf8.c
481
482dist_libwind_la_SOURCES = $(code) $(built)
483nodist_libwind_la_SOURCES = wind_err.c wind_err.h
484libwind_la_DEPENDENCIES = version-script.map
485dist_include_HEADERS = wind.h
486nodist_include_HEADERS = wind_err.h
487libwind_la_LDFLAGS = -version-info 0:0:0 $(am__append_1)
488libwind_la_LIBADD = \
489	$(LIB_roken) \
490	$(LIB_com_err)
491
492BUILT_SOURCES = \
493	wind_err.c				\
494	wind_err.h
495
496TESTS = \
497	$(check_PROGRAMS)
498
499test_punycode_SOURCES = \
500	test-punycode.c				\
501	punycode_examples.c			\
502	punycode_examples.h
503
504idn_lookup_SOURCES = idn-lookup.c
505LDADD = libwind.la $(LIB_roken)
506PYTHON = python
507@MAINTAINER_MODE_FALSE@skip_python = test -f $@ ||
508EXTRA_DIST = \
509	NTMakefile \
510	libwind-exports.def \
511	CompositionExclusions-3.2.0.txt \
512	DerivedNormalizationProps.txt \
513	NormalizationCorrections.txt \
514	NormalizationTest.txt \
515	UnicodeData.py \
516	UnicodeData.txt \
517	gen-bidi.py \
518	gen-combining.py \
519	gen-errorlist.py \
520	gen-map.py \
521	gen-normalize.py \
522	gen-punycode-examples.py \
523	generate.py \
524	rfc3454.py \
525	rfc3454.txt \
526	rfc3490.txt \
527	rfc3491.txt \
528	rfc3492.txt \
529	rfc4013.txt \
530	rfc4518.py \
531	rfc4518.txt \
532	stringprep.py \
533	util.py \
534	version-script.map \
535	wind_err.et
536
537CLEANFILES = \
538	wind_err.c  \
539	wind_err.h
540
541all: $(BUILT_SOURCES)
542	$(MAKE) $(AM_MAKEFLAGS) all-am
543
544.SUFFIXES:
545.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
546$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
547	@for dep in $?; do \
548	  case '$(am__configure_deps)' in \
549	    *$$dep*) \
550	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
551	        && { if test -f $@; then exit 0; else break; fi; }; \
552	      exit 1;; \
553	  esac; \
554	done; \
555	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/wind/Makefile'; \
556	$(am__cd) $(top_srcdir) && \
557	  $(AUTOMAKE) --foreign lib/wind/Makefile
558.PRECIOUS: Makefile
559Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
560	@case '$?' in \
561	  *config.status*) \
562	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
563	  *) \
564	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
565	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
566	esac;
567
568$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
569	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
570
571$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
572	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
573$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
574	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
575$(am__aclocal_m4_deps):
576install-libLTLIBRARIES: $(lib_LTLIBRARIES)
577	@$(NORMAL_INSTALL)
578	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
579	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
580	list2=; for p in $$list; do \
581	  if test -f $$p; then \
582	    list2="$$list2 $$p"; \
583	  else :; fi; \
584	done; \
585	test -z "$$list2" || { \
586	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
587	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
588	}
589
590uninstall-libLTLIBRARIES:
591	@$(NORMAL_UNINSTALL)
592	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
593	for p in $$list; do \
594	  $(am__strip_dir) \
595	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
596	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
597	done
598
599clean-libLTLIBRARIES:
600	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
601	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
602	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
603	  test "$$dir" != "$$p" || dir=.; \
604	  echo "rm -f \"$${dir}/so_locations\""; \
605	  rm -f "$${dir}/so_locations"; \
606	done
607libwind.la: $(libwind_la_OBJECTS) $(libwind_la_DEPENDENCIES) 
608	$(libwind_la_LINK) -rpath $(libdir) $(libwind_la_OBJECTS) $(libwind_la_LIBADD) $(LIBS)
609install-binPROGRAMS: $(bin_PROGRAMS)
610	@$(NORMAL_INSTALL)
611	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
612	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
613	for p in $$list; do echo "$$p $$p"; done | \
614	sed 's/$(EXEEXT)$$//' | \
615	while read p p1; do if test -f $$p || test -f $$p1; \
616	  then echo "$$p"; echo "$$p"; else :; fi; \
617	done | \
618	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
619	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
620	sed 'N;N;N;s,\n, ,g' | \
621	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
622	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
623	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
624	    else { print "f", $$3 "/" $$4, $$1; } } \
625	  END { for (d in files) print "f", d, files[d] }' | \
626	while read type dir files; do \
627	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
628	    test -z "$$files" || { \
629	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
630	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
631	    } \
632	; done
633
634uninstall-binPROGRAMS:
635	@$(NORMAL_UNINSTALL)
636	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
637	files=`for p in $$list; do echo "$$p"; done | \
638	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
639	      -e 's/$$/$(EXEEXT)/' `; \
640	test -n "$$list" || exit 0; \
641	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
642	cd "$(DESTDIR)$(bindir)" && rm -f $$files
643
644clean-binPROGRAMS:
645	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
646	echo " rm -f" $$list; \
647	rm -f $$list || exit $$?; \
648	test -n "$(EXEEXT)" || exit 0; \
649	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
650	echo " rm -f" $$list; \
651	rm -f $$list
652
653clean-checkPROGRAMS:
654	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
655	echo " rm -f" $$list; \
656	rm -f $$list || exit $$?; \
657	test -n "$(EXEEXT)" || exit 0; \
658	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
659	echo " rm -f" $$list; \
660	rm -f $$list
661idn-lookup$(EXEEXT): $(idn_lookup_OBJECTS) $(idn_lookup_DEPENDENCIES) 
662	@rm -f idn-lookup$(EXEEXT)
663	$(LINK) $(idn_lookup_OBJECTS) $(idn_lookup_LDADD) $(LIBS)
664test-bidi$(EXEEXT): $(test_bidi_OBJECTS) $(test_bidi_DEPENDENCIES) 
665	@rm -f test-bidi$(EXEEXT)
666	$(LINK) $(test_bidi_OBJECTS) $(test_bidi_LDADD) $(LIBS)
667test-ldap$(EXEEXT): $(test_ldap_OBJECTS) $(test_ldap_DEPENDENCIES) 
668	@rm -f test-ldap$(EXEEXT)
669	$(LINK) $(test_ldap_OBJECTS) $(test_ldap_LDADD) $(LIBS)
670test-map$(EXEEXT): $(test_map_OBJECTS) $(test_map_DEPENDENCIES) 
671	@rm -f test-map$(EXEEXT)
672	$(LINK) $(test_map_OBJECTS) $(test_map_LDADD) $(LIBS)
673test-normalize$(EXEEXT): $(test_normalize_OBJECTS) $(test_normalize_DEPENDENCIES) 
674	@rm -f test-normalize$(EXEEXT)
675	$(LINK) $(test_normalize_OBJECTS) $(test_normalize_LDADD) $(LIBS)
676test-prohibited$(EXEEXT): $(test_prohibited_OBJECTS) $(test_prohibited_DEPENDENCIES) 
677	@rm -f test-prohibited$(EXEEXT)
678	$(LINK) $(test_prohibited_OBJECTS) $(test_prohibited_LDADD) $(LIBS)
679test-punycode$(EXEEXT): $(test_punycode_OBJECTS) $(test_punycode_DEPENDENCIES) 
680	@rm -f test-punycode$(EXEEXT)
681	$(LINK) $(test_punycode_OBJECTS) $(test_punycode_LDADD) $(LIBS)
682test-rw$(EXEEXT): $(test_rw_OBJECTS) $(test_rw_DEPENDENCIES) 
683	@rm -f test-rw$(EXEEXT)
684	$(LINK) $(test_rw_OBJECTS) $(test_rw_LDADD) $(LIBS)
685test-utf8$(EXEEXT): $(test_utf8_OBJECTS) $(test_utf8_DEPENDENCIES) 
686	@rm -f test-utf8$(EXEEXT)
687	$(LINK) $(test_utf8_OBJECTS) $(test_utf8_LDADD) $(LIBS)
688
689mostlyclean-compile:
690	-rm -f *.$(OBJEXT)
691
692distclean-compile:
693	-rm -f *.tab.c
694
695@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bidi.Plo@am__quote@
696@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bidi_table.Plo@am__quote@
697@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/combining.Plo@am__quote@
698@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/combining_table.Plo@am__quote@
699@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/doxygen.Plo@am__quote@
700@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/errorlist.Plo@am__quote@
701@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/errorlist_table.Plo@am__quote@
702@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/idn-lookup.Po@am__quote@
703@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ldap.Plo@am__quote@
704@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/map.Plo@am__quote@
705@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/map_table.Plo@am__quote@
706@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/normalize.Plo@am__quote@
707@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/normalize_table.Plo@am__quote@
708@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/punycode.Plo@am__quote@
709@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/punycode_examples.Po@am__quote@
710@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stringprep.Plo@am__quote@
711@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-bidi.Po@am__quote@
712@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-ldap.Po@am__quote@
713@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-map.Po@am__quote@
714@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-normalize.Po@am__quote@
715@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-prohibited.Po@am__quote@
716@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-punycode.Po@am__quote@
717@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-rw.Po@am__quote@
718@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-utf8.Po@am__quote@
719@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utf8.Plo@am__quote@
720@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wind_err.Plo@am__quote@
721
722.c.o:
723@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
724@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
725@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
726@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
727@am__fastdepCC_FALSE@	$(COMPILE) -c $<
728
729.c.obj:
730@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
731@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
732@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
733@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
735
736.c.lo:
737@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
738@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
739@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
740@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
741@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
742
743mostlyclean-libtool:
744	-rm -f *.lo
745
746clean-libtool:
747	-rm -rf .libs _libs
748install-dist_includeHEADERS: $(dist_include_HEADERS)
749	@$(NORMAL_INSTALL)
750	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
751	@list='$(dist_include_HEADERS)'; test -n "$(includedir)" || list=; \
752	for p in $$list; do \
753	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
754	  echo "$$d$$p"; \
755	done | $(am__base_list) | \
756	while read files; do \
757	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
758	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
759	done
760
761uninstall-dist_includeHEADERS:
762	@$(NORMAL_UNINSTALL)
763	@list='$(dist_include_HEADERS)'; test -n "$(includedir)" || list=; \
764	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
765	test -n "$$files" || exit 0; \
766	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
767	cd "$(DESTDIR)$(includedir)" && rm -f $$files
768install-nodist_includeHEADERS: $(nodist_include_HEADERS)
769	@$(NORMAL_INSTALL)
770	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
771	@list='$(nodist_include_HEADERS)'; test -n "$(includedir)" || list=; \
772	for p in $$list; do \
773	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
774	  echo "$$d$$p"; \
775	done | $(am__base_list) | \
776	while read files; do \
777	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
778	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
779	done
780
781uninstall-nodist_includeHEADERS:
782	@$(NORMAL_UNINSTALL)
783	@list='$(nodist_include_HEADERS)'; test -n "$(includedir)" || list=; \
784	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
785	test -n "$$files" || exit 0; \
786	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
787	cd "$(DESTDIR)$(includedir)" && rm -f $$files
788
789ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
790	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
791	unique=`for i in $$list; do \
792	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
793	  done | \
794	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
795	      END { if (nonempty) { for (i in files) print i; }; }'`; \
796	mkid -fID $$unique
797tags: TAGS
798
799TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
800		$(TAGS_FILES) $(LISP)
801	set x; \
802	here=`pwd`; \
803	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
804	unique=`for i in $$list; do \
805	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
806	  done | \
807	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
808	      END { if (nonempty) { for (i in files) print i; }; }'`; \
809	shift; \
810	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
811	  test -n "$$unique" || unique=$$empty_fix; \
812	  if test $$# -gt 0; then \
813	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
814	      "$$@" $$unique; \
815	  else \
816	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
817	      $$unique; \
818	  fi; \
819	fi
820ctags: CTAGS
821CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
822		$(TAGS_FILES) $(LISP)
823	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
824	unique=`for i in $$list; do \
825	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
826	  done | \
827	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
828	      END { if (nonempty) { for (i in files) print i; }; }'`; \
829	test -z "$(CTAGS_ARGS)$$unique" \
830	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
831	     $$unique
832
833GTAGS:
834	here=`$(am__cd) $(top_builddir) && pwd` \
835	  && $(am__cd) $(top_srcdir) \
836	  && gtags -i $(GTAGS_ARGS) "$$here"
837
838distclean-tags:
839	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
840
841check-TESTS: $(TESTS)
842	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
843	srcdir=$(srcdir); export srcdir; \
844	list=' $(TESTS) '; \
845	$(am__tty_colors); \
846	if test -n "$$list"; then \
847	  for tst in $$list; do \
848	    if test -f ./$$tst; then dir=./; \
849	    elif test -f $$tst; then dir=; \
850	    else dir="$(srcdir)/"; fi; \
851	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
852	      all=`expr $$all + 1`; \
853	      case " $(XFAIL_TESTS) " in \
854	      *[\ \	]$$tst[\ \	]*) \
855		xpass=`expr $$xpass + 1`; \
856		failed=`expr $$failed + 1`; \
857		col=$$red; res=XPASS; \
858	      ;; \
859	      *) \
860		col=$$grn; res=PASS; \
861	      ;; \
862	      esac; \
863	    elif test $$? -ne 77; then \
864	      all=`expr $$all + 1`; \
865	      case " $(XFAIL_TESTS) " in \
866	      *[\ \	]$$tst[\ \	]*) \
867		xfail=`expr $$xfail + 1`; \
868		col=$$lgn; res=XFAIL; \
869	      ;; \
870	      *) \
871		failed=`expr $$failed + 1`; \
872		col=$$red; res=FAIL; \
873	      ;; \
874	      esac; \
875	    else \
876	      skip=`expr $$skip + 1`; \
877	      col=$$blu; res=SKIP; \
878	    fi; \
879	    echo "$${col}$$res$${std}: $$tst"; \
880	  done; \
881	  if test "$$all" -eq 1; then \
882	    tests="test"; \
883	    All=""; \
884	  else \
885	    tests="tests"; \
886	    All="All "; \
887	  fi; \
888	  if test "$$failed" -eq 0; then \
889	    if test "$$xfail" -eq 0; then \
890	      banner="$$All$$all $$tests passed"; \
891	    else \
892	      if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
893	      banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
894	    fi; \
895	  else \
896	    if test "$$xpass" -eq 0; then \
897	      banner="$$failed of $$all $$tests failed"; \
898	    else \
899	      if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
900	      banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
901	    fi; \
902	  fi; \
903	  dashes="$$banner"; \
904	  skipped=""; \
905	  if test "$$skip" -ne 0; then \
906	    if test "$$skip" -eq 1; then \
907	      skipped="($$skip test was not run)"; \
908	    else \
909	      skipped="($$skip tests were not run)"; \
910	    fi; \
911	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
912	      dashes="$$skipped"; \
913	  fi; \
914	  report=""; \
915	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
916	    report="Please report to $(PACKAGE_BUGREPORT)"; \
917	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
918	      dashes="$$report"; \
919	  fi; \
920	  dashes=`echo "$$dashes" | sed s/./=/g`; \
921	  if test "$$failed" -eq 0; then \
922	    echo "$$grn$$dashes"; \
923	  else \
924	    echo "$$red$$dashes"; \
925	  fi; \
926	  echo "$$banner"; \
927	  test -z "$$skipped" || echo "$$skipped"; \
928	  test -z "$$report" || echo "$$report"; \
929	  echo "$$dashes$$std"; \
930	  test "$$failed" -eq 0; \
931	else :; fi
932
933distdir: $(DISTFILES)
934	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
935	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
936	list='$(DISTFILES)'; \
937	  dist_files=`for file in $$list; do echo $$file; done | \
938	  sed -e "s|^$$srcdirstrip/||;t" \
939	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
940	case $$dist_files in \
941	  */*) $(MKDIR_P) `echo "$$dist_files" | \
942			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
943			   sort -u` ;; \
944	esac; \
945	for file in $$dist_files; do \
946	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
947	  if test -d $$d/$$file; then \
948	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
949	    if test -d "$(distdir)/$$file"; then \
950	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
951	    fi; \
952	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
953	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
954	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
955	    fi; \
956	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
957	  else \
958	    test -f "$(distdir)/$$file" \
959	    || cp -p $$d/$$file "$(distdir)/$$file" \
960	    || exit 1; \
961	  fi; \
962	done
963	$(MAKE) $(AM_MAKEFLAGS) \
964	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
965	  dist-hook
966check-am: all-am
967	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
968	$(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
969check: $(BUILT_SOURCES)
970	$(MAKE) $(AM_MAKEFLAGS) check-am
971all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) all-local
972install-binPROGRAMS: install-libLTLIBRARIES
973
974installdirs:
975	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"; do \
976	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
977	done
978install: $(BUILT_SOURCES)
979	$(MAKE) $(AM_MAKEFLAGS) install-am
980install-exec: install-exec-am
981install-data: install-data-am
982uninstall: uninstall-am
983
984install-am: all-am
985	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
986
987installcheck: installcheck-am
988install-strip:
989	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
990	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
991	  `test -z '$(STRIP)' || \
992	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
993mostlyclean-generic:
994
995clean-generic:
996	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
997
998distclean-generic:
999	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1000	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1001
1002maintainer-clean-generic:
1003	@echo "This command is intended for maintainers to use"
1004	@echo "it deletes files that may require special tools to rebuild."
1005	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1006	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1007clean: clean-am
1008
1009clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1010	clean-libLTLIBRARIES clean-libtool mostlyclean-am
1011
1012distclean: distclean-am
1013	-rm -rf ./$(DEPDIR)
1014	-rm -f Makefile
1015distclean-am: clean-am distclean-compile distclean-generic \
1016	distclean-tags
1017
1018dvi: dvi-am
1019
1020dvi-am:
1021
1022html: html-am
1023
1024html-am:
1025
1026info: info-am
1027
1028info-am:
1029
1030install-data-am: install-dist_includeHEADERS \
1031	install-nodist_includeHEADERS
1032	@$(NORMAL_INSTALL)
1033	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
1034install-dvi: install-dvi-am
1035
1036install-dvi-am:
1037
1038install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
1039	@$(NORMAL_INSTALL)
1040	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1041install-html: install-html-am
1042
1043install-html-am:
1044
1045install-info: install-info-am
1046
1047install-info-am:
1048
1049install-man:
1050
1051install-pdf: install-pdf-am
1052
1053install-pdf-am:
1054
1055install-ps: install-ps-am
1056
1057install-ps-am:
1058
1059installcheck-am:
1060
1061maintainer-clean: maintainer-clean-am
1062	-rm -rf ./$(DEPDIR)
1063	-rm -f Makefile
1064maintainer-clean-am: distclean-am maintainer-clean-generic
1065
1066mostlyclean: mostlyclean-am
1067
1068mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1069	mostlyclean-libtool
1070
1071pdf: pdf-am
1072
1073pdf-am:
1074
1075ps: ps-am
1076
1077ps-am:
1078
1079uninstall-am: uninstall-binPROGRAMS uninstall-dist_includeHEADERS \
1080	uninstall-libLTLIBRARIES uninstall-nodist_includeHEADERS
1081	@$(NORMAL_INSTALL)
1082	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
1083.MAKE: all check check-am install install-am install-data-am \
1084	install-exec-am install-strip uninstall-am
1085
1086.PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
1087	check-local clean clean-binPROGRAMS clean-checkPROGRAMS \
1088	clean-generic clean-libLTLIBRARIES clean-libtool ctags \
1089	dist-hook distclean distclean-compile distclean-generic \
1090	distclean-libtool distclean-tags distdir dvi dvi-am html \
1091	html-am info info-am install install-am install-binPROGRAMS \
1092	install-data install-data-am install-data-hook \
1093	install-dist_includeHEADERS install-dvi install-dvi-am \
1094	install-exec install-exec-am install-exec-hook install-html \
1095	install-html-am install-info install-info-am \
1096	install-libLTLIBRARIES install-man \
1097	install-nodist_includeHEADERS install-pdf install-pdf-am \
1098	install-ps install-ps-am install-strip installcheck \
1099	installcheck-am installdirs maintainer-clean \
1100	maintainer-clean-generic mostlyclean mostlyclean-compile \
1101	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1102	tags uninstall uninstall-am uninstall-binPROGRAMS \
1103	uninstall-dist_includeHEADERS uninstall-hook \
1104	uninstall-libLTLIBRARIES uninstall-nodist_includeHEADERS
1105
1106
1107install-suid-programs:
1108	@foo='$(bin_SUIDS)'; \
1109	for file in $$foo; do \
1110	x=$(DESTDIR)$(bindir)/$$file; \
1111	if chown 0:0 $$x && chmod u+s $$x; then :; else \
1112	echo "*"; \
1113	echo "* Failed to install $$x setuid root"; \
1114	echo "*"; \
1115	fi; done
1116
1117install-exec-hook: install-suid-programs
1118
1119install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
1120	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
1121	for f in $$foo; do \
1122		f=`basename $$f`; \
1123		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1124		else file="$$f"; fi; \
1125		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1126		: ; else \
1127			echo " $(CP) $$file $(buildinclude)/$$f"; \
1128			$(CP) $$file $(buildinclude)/$$f; \
1129		fi ; \
1130	done ; \
1131	foo='$(nobase_include_HEADERS)'; \
1132	for f in $$foo; do \
1133		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1134		else file="$$f"; fi; \
1135		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
1136		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1137		: ; else \
1138			echo " $(CP) $$file $(buildinclude)/$$f"; \
1139			$(CP) $$file $(buildinclude)/$$f; \
1140		fi ; \
1141	done
1142
1143all-local: install-build-headers
1144
1145check-local::
1146	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
1147	  foo=''; elif test '$(CHECK_LOCAL)'; then \
1148	  foo='$(CHECK_LOCAL)'; else \
1149	  foo='$(PROGRAMS)'; fi; \
1150	  if test "$$foo"; then \
1151	  failed=0; all=0; \
1152	  for i in $$foo; do \
1153	    all=`expr $$all + 1`; \
1154	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
1155	      echo "PASS: $$i"; \
1156	    else \
1157	      echo "FAIL: $$i"; \
1158	      failed=`expr $$failed + 1`; \
1159	    fi; \
1160	  done; \
1161	  if test "$$failed" -eq 0; then \
1162	    banner="All $$all tests passed"; \
1163	  else \
1164	    banner="$$failed of $$all tests failed"; \
1165	  fi; \
1166	  dashes=`echo "$$banner" | sed s/./=/g`; \
1167	  echo "$$dashes"; \
1168	  echo "$$banner"; \
1169	  echo "$$dashes"; \
1170	  test "$$failed" -eq 0 || exit 1; \
1171	fi
1172
1173.x.c:
1174	@cmp -s $< $@ 2> /dev/null || cp $< $@
1175
1176.hx.h:
1177	@cmp -s $< $@ 2> /dev/null || cp $< $@
1178#NROFF_MAN = nroff -man
1179.1.cat1:
1180	$(NROFF_MAN) $< > $@
1181.3.cat3:
1182	$(NROFF_MAN) $< > $@
1183.5.cat5:
1184	$(NROFF_MAN) $< > $@
1185.8.cat8:
1186	$(NROFF_MAN) $< > $@
1187
1188dist-cat1-mans:
1189	@foo='$(man1_MANS)'; \
1190	bar='$(man_MANS)'; \
1191	for i in $$bar; do \
1192	case $$i in \
1193	*.1) foo="$$foo $$i";; \
1194	esac; done ;\
1195	for i in $$foo; do \
1196		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1197		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1198		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1199	done
1200
1201dist-cat3-mans:
1202	@foo='$(man3_MANS)'; \
1203	bar='$(man_MANS)'; \
1204	for i in $$bar; do \
1205	case $$i in \
1206	*.3) foo="$$foo $$i";; \
1207	esac; done ;\
1208	for i in $$foo; do \
1209		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1210		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1211		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1212	done
1213
1214dist-cat5-mans:
1215	@foo='$(man5_MANS)'; \
1216	bar='$(man_MANS)'; \
1217	for i in $$bar; do \
1218	case $$i in \
1219	*.5) foo="$$foo $$i";; \
1220	esac; done ;\
1221	for i in $$foo; do \
1222		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1223		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1224		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1225	done
1226
1227dist-cat8-mans:
1228	@foo='$(man8_MANS)'; \
1229	bar='$(man_MANS)'; \
1230	for i in $$bar; do \
1231	case $$i in \
1232	*.8) foo="$$foo $$i";; \
1233	esac; done ;\
1234	for i in $$foo; do \
1235		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1236		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1237		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1238	done
1239
1240dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1241
1242install-cat-mans:
1243	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1244
1245uninstall-cat-mans:
1246	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1247
1248install-data-hook: install-cat-mans
1249uninstall-hook: uninstall-cat-mans
1250
1251.et.h:
1252	$(COMPILE_ET) $<
1253.et.c:
1254	$(COMPILE_ET) $<
1255
1256#
1257# Useful target for debugging
1258#
1259
1260check-valgrind:
1261	tobjdir=`cd $(top_builddir) && pwd` ; \
1262	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1263	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1264
1265#
1266# Target to please samba build farm, builds distfiles in-tree.
1267# Will break when automake changes...
1268#
1269
1270distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1271	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1272	  if test "$$subdir" != .; then \
1273	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1274	  fi ; \
1275	done
1276
1277$(code:.c=.lo): $(built)
1278
1279$(libwind_la_OBJECTS): wind_err.h
1280
1281$(test_punycode_OBJECTS): $(built_tests)
1282
1283map_table.h map_table.c: rfc3454.txt gen-map.py stringprep.py
1284	$(skip_python) $(PYTHON) $(srcdir)/gen-map.py $(srcdir)/rfc3454.txt $(builddir)
1285
1286errorlist_table.h errorlist_table.c: rfc3454.txt gen-errorlist.py stringprep.py
1287	$(skip_python) $(PYTHON) $(srcdir)/gen-errorlist.py $(srcdir)/rfc3454.txt $(builddir)
1288
1289normalize_table.h normalize_table.c: UnicodeData.txt CompositionExclusions-3.2.0.txt gen-normalize.py
1290	$(skip_python) $(PYTHON) $(srcdir)/gen-normalize.py $(srcdir)/UnicodeData.txt $(srcdir)/CompositionExclusions-3.2.0.txt $(builddir)
1291
1292combining_table.h combining_table.c: UnicodeData.txt gen-combining.py
1293	$(skip_python) $(PYTHON) $(srcdir)/gen-combining.py $(srcdir)/UnicodeData.txt $(builddir)
1294
1295bidi_table.h bidi_table.c: rfc3454.txt gen-bidi.py
1296	$(skip_python) $(PYTHON) $(srcdir)/gen-bidi.py $(srcdir)/rfc3454.txt $(builddir)
1297
1298punycode_examples.h punycode_examples.c: gen-punycode-examples.py rfc3492.txt
1299	$(PYTHON) $(srcdir)/gen-punycode-examples.py $(srcdir)/rfc3492.txt $(builddir)
1300
1301wind_err.h: wind_err.et
1302
1303# Tell versions [3.59,3.63) of GNU make to not export all variables.
1304# Otherwise a system limit (for SysV at least) may be exceeded.
1305.NOEXPORT:
1306